Package org.postgresql.util

# Class ExpressionProperties

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<Object,Object>
java.util.Properties
org.postgresql.util.ExpressionProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public class ExpressionProperties extends Properties

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionProperties(Properties... defaults)`
  Creates an empty property list with the specified defaults.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getProperty(String key)`
  Returns property value with all `${propKey}` like references replaced with the value of the relevant property with recursive resolution.
  `@PolyNull String`
  `getProperty(String key, @PolyNull String defaultValue)`
  `@Nullable String`
  `getRawPropertyValue(String key)`
  Returns raw value of a property without any replacements.

  ### Methods inherited from class java.util.Properties

  `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, list, list, load, load, loadFromXML, merge, propertyNames, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExpressionProperties

    public ExpressionProperties(Properties... defaults)
    Creates an empty property list with the specified defaults.
    Parameters:
      `defaults` - java.util.Properties

- ## Method Details

  - ### getProperty

    public @Nullable String getProperty(String key)

    Returns property value with all `${propKey}` like references replaced with the value of the relevant property with recursive resolution.

    The method returns `null` if the property is not found.

    Overrides:
      `getProperty` in class `Properties`
    Parameters:
      `key` - the property key.
    Returns:
      the value in this property list with the specified key value.

  - ### getProperty

    public @PolyNull String getProperty(String key, @PolyNull String defaultValue)
    Overrides:
      `getProperty` in class `Properties`

  - ### getRawPropertyValue

    public @Nullable String getRawPropertyValue(String key)
    Returns raw value of a property without any replacements.
    Parameters:
      `key` - property name
    Returns:
      raw property value